mint-1.12.6:

**************************************
cpbs Sun Jul 28 22:34:24 BST 1996
Makefile:
	remove -DDEBUG_INFO from DEFS; it's defined by mint.h already.

**************************************
cpbs Sun Jul 28 17:24:50 BST 1996
quickswa.spp, sproto.h:
	add legal blurb

**************************************
cpbs Sat Jul 27 19:54:08 BST 1996
README.1ST, version.h:
	bump version number to 1.12.6
	take the blame for this version

**************************************
cpbs Sat Jul 27 19:51:04 BST 1996
main.c:
	print welcome before checking if MiNT is already installed.
	can now check which version a MiNT kernel is by executing it,
	even if MiNT is already running.

**************************************
cpbs Sat Jul 27 19:49:08 BST 1996
welcome.c:
	Reformat greetings to fit 40-column low-res screen.

**************************************
cpbs Sat Jul 27 19:46:06 BST 1996
quickswa.spp:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9510021025.AA27542@issan.informatik.uni-dortmund.de>
	Subject: Bug in fork patch
	Date: Mon, 2 Oct 95 11:25:06 +0100

	Avoid clobbering d0 in quickswap().

**************************************
cpbs Sat Jul 27 19:43:20 BST 1996
mem.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9509200852.AA15244@issan.informatik.uni-dortmund.de>
	Subject: Re: [Bug] Killing processes under new forking mechanism
	Date: Wed, 20 Sep 95 10:52:56 +0200

	Fix transposed identifiers.

**************************************
cpbs Sat Jul 27 19:31:36 BST 1996
Makefile, dosmem.c, mem.c, mem.h, proc.c, procfs.c, proto.h,
quickswa.spp (new file), shmfs.c, sproto.h:
	From: Wolfgang Lux <lux@heidelbg.ibm.com>
	Message-Id: <9508290834.AA43611@idse.heidelbg.ibm.com>
	Subject: Non-blocking fork (never again :-)
	Date: Tue, 29 Aug 95 10:34:08 +0100

	A huge patch implementing shadowing, to fix the blocking fork() bug.

**************************************

mint-1.12.5:

**************************************
hohmuth Mon Oct 30 16:44:55 MET 1995
README.1ST, version.h:
	update

**************************************
hohmuth Mon Oct 30 16:34:47 MET 1995
main.c:
	From: Matija Grabnar <Matija.Grabnar@ijs.si>
	Message-id: <01HW5TDMJD2S004NHI@CATHY.IJS.SI>
	Subject: Improved autofix patch
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-ID: <307d798823d6400@anuurn.ruhr.de>
	Subject: Re: Improved autofix patch

	always run AUTO folder programs from boot drive; previously, a "cd"
	command in mint.cnf could change the drive where AUTO folder programs
	would be searched

**************************************
hohmuth Sat Jun 17 00:37:51 MET DST 1995
fasttext.c:
	add legal blurp

**************************************
hohmuth Thu Jun 15 22:28:55 MET DST 1995
dosfile.c:
	the Fcntl()/Dcntl() F_GETOPENS patch broke file locking; fix this

**************************************

mint-1.12.4:

**************************************
hohmuth Sun Jun 11 15:02:03 MET DST 1995
welcome.c:
	report AUTO_FIX and SYSUPDATE_DAEMON in the welcome message when these
	options are turned on

**************************************
hohmuth Sun Jun 11 14:57:16 MET DST 1995
cookie.h, dos.c, makefile, cookie.c:
	remove the Scookie() system call

**************************************
hohmuth Sun Jun 11 14:04:49 MET DST 1995
mem.c:
	From: Juergen_Rose@b.maus.de (Juergen Rose)
	Message-Id: <P36018@B.maus.de>
	Subject: mint & matgraph 1208

	kludge: some broken graphics card drivers (notably, some versions of
	NVDI's REDIRECT.PRG) return the base of the ST screen from Physbase(),
	not the base of the graphics card memory.  Try to get the real screen
	memory base from v_bas_ad (0x44e).

**************************************
hohmuth Sun Jun 11 13:54:46 MET DST 1995
dosmem.c:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2fce4c2017b6e70@anuurn.do.open.de>
	Subject: Re: Some diffs for MiNT 1.12h3

	convert drive letter to uppercase in Pexec() because the code later
	depends on this

**************************************
hohmuth Sun Jun 11 13:51:47 MET DST 1995
procfs.c:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2fce4c2017b6e70@anuurn.do.open.de>
	Subject: Re: Some diffs for MiNT 1.12h3

	fix off-by-one bug in proc_ioctl() (Fcntl() can overwrite the end of
	the user buffer)

**************************************
hohmuth Sun Jun 11 13:40:07 MET DST 1995
README.1ST, bios.c, biosfs.c, changes, cookie.c, cookie.h, debug.c,
dos.c, dosdir.c, dosfile.c, dosmem.c, file.h, filesys.c, genmagic.c,
genmagic.pl, inline.h, intr.spp, main.c, makefile, mem.c, mem.h,
memprot.c, mint.h, nalloc2.c, pipefs.c, proc.c, proc.h, procfs.c,
proto.h, rendez.c, shmfs.c, signal.c, syscall.spp, timeout.c, tosfs.c,
tty.c, update.c, util.c, version.h, welcome.c, xbios.c,
purec/osbind.h, purec/puremint.txt:
	rename the project to "FreeMiNT"
	bump up the version number to 1.12.4

**************************************
hohmuth Sun Jun 11 13:22:15 MET DST 1995
mem.c, memprot.c:
	add legal blurp

**************************************
hohmuth Sun Jun 11 13:16:37 MET DST 1995
proc.h:
	(fix scoping error in first occurence of struct proc)	--hohmuth

**************************************
hohmuth Sun Jun 11 13:03:30 MET DST 1995
bios.c, biosfs.c, cookie.c, dos.c, filesys.c, main.c, mem.c, memprot.c,
proc.c, proc.h, proto.h, rendez.c, timeout.c, tosfs.c, tty.c,
update.c, purec/osbind.h, purec/puremint.txt:
	From: Julian Reschke <reschke@GOEDEL.UNI-MUENSTER.DE>
	Message-Id: <9505131913.AA28980@math.uni-muenster.de>
	Subject: diffs

	ANSIfications (for PureC)

**************************************
hohmuth Sun Jun 11 13:02:58 MET DST 1995
dosdir.c, dosfile.c, file.h:
	From: Julian Reschke <reschke@GOEDEL.UNI-MUENSTER.DE>
	Message-Id: <9505131913.AA28980@math.uni-muenster.de>
	Subject: diffs

	add new Fcntl()/Dcntl() opcode F_GETOPENS for inquiring processes
	using the specified file or directory

**************************************
hohmuth Sun Jun 11 12:24:43 MET DST 1995
bios.c:
	From: ekl@sdf.lonestar.org (Evan Langlois)
	Message-Id: <m0s90CE-0000YMC@sdf.lonestar.org>
	Subject: Bios Polling

	punish (temporarily decrease priority of) processes polling BIOS
	devices with Bconstat()

**************************************
hohmuth Sun Jun 11 12:21:30 MET DST 1995
main.c, mint.h, update.c:
	From: lux@heidelbg.ibm.com (Wolfgang Lux)
	Message-Id: <9504241720.AA18460@rio.heidelbg.ibm.com>
	Subject: MiNT 1.12 sysupdate patches (again)

	use addroottimeout() instead of kernel process for file system
	syncing; can get back old behavior by #define'ing SYSUPDATE_DAEMON in
	mint.h;
	also: don't use setstack() in the update kernel process because it's
	unnecessary

**************************************
hohmuth Sun Jun 11 12:10:06 MET DST 1995
mem.c:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2f91ba4ed3ff0@anuurn.do.open.de>
	Subject: Some diffs for MiNT 1.12h3

	load_region() sometimes failed to return an error code when an error
	occured (e.g. bad relocation table)

**************************************
hohmuth Sun Jun 11 12:08:40 MET DST 1995
tosfs.c:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2f91ba4ed3ff0@anuurn.do.open.de>
	Subject: Some diffs for MiNT 1.12h3

	allow programs to chown() a file on a TOS file system if the
	new owner of the file == current owner of the (ROOT) file system

**************************************
hohmuth Sun Jun 11 12:07:48 MET DST 1995
dosfile.c:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2f91ba4ed3ff0@anuurn.do.open.de>
	Subject: Some diffs for MiNT 1.12h3

	add a missing '{' which was missing when CREATE_PIPES was not defined

**************************************
hohmuth Sun Jun 11 12:06:45 MET DST 1995
main.c:
	(turn off debugging output for the AUTO_FIX kludge)		--hohmuth

**************************************
hohmuth Sun Jun 11 12:03:06 MET DST 1995
main.c, mint.h:
	From: mk@anuurn.do.open.de (Martin Koehling)
	Message-Id: <2f91ba4ed3ff0@anuurn.do.open.de>
	Subject: Some diffs for MiNT 1.12h3

	kludge: try to find out the MiNT executable's name from the parent's
	DTA structure in order to be able to run AUTO folder programs after
	MiNT; can be turned off be undefining AUTO_FIX in mint.h

**************************************
hohmuth Fri Mar 24 01:43:58 MET 1995
filesys.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9502231215.AA05853@issan.informatik.uni-dortmund.de>
	Subject: Re: and another diff...  trailing slashes

	don't strip trailing slashes, making open("nondir/", ...) fail and
	"symlink/" equivalent to "symlink/." (i.e., trailing slash means
	follow the symlink).

**************************************

mint-1.12h3:

**************************************
hohmuth Mon Mar 20 21:42:24 MET 1995
README.1ST, version.h:
	update

**************************************
hohmuth Sat Mar 18 01:50:02 MET 1995
genmagic.pl:
	add legal blurp

**************************************
hohmuth Sat Mar 18 01:13:44 MET 1995
magic.i:
	update

**************************************
hohmuth Sat Mar 18 01:12:10 MET 1995
genmagic.pl, genmagic.c, makefile:
	From: Juergen Lock <nox@jelal.hb.north.de>
	Message-Id: <9412311459.AA00392@jelal.hb.north.de>
	Subject: Re: mint-1.12h2

	when cross-compiling, create magic.i by extracting symbol values from
	genmagic.ttp using `cnm' and `genmagic.pl', a perl script

**************************************
hohmuth Sat Mar 18 01:08:27 MET 1995
dosfile.c:
	From: str@gondolin.nasim.cube.net (Steffen Ries)
	Message-Id: <m0rpgEO-0001VtC@gondolin.nasim.cube.net>
	Subject: BUG: deny_access
	From: hohmuth@inf.tu-dresden.de (Michael Hohmuth)
	Message-Id: <199503172331.AA03492@irs.inf.tu-dresden.de>
	Subject: Re: BUG: deny_access

	superuser needs at least one executable permission bit to execute a
	file

**************************************
hohmuth Fri Mar 17 23:36:01 MET 1995
signal.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9502231215.AA05853@issan.informatik.uni-dortmund.de>
	Subject: Re: and another diff...  trailing slashes

	wake up a stopped process even if it did signal(SIGCONT, SIG_IGN)

**************************************
hohmuth Fri Mar 17 23:11:23 MET 1995
update.c:
	From: Juergen Lock <nox@jelal.hb.north.de>
	Message-Id: <9502191708.AA00707@jelal.hb.north.de>
	Subject: crash when leaving MiNT...

	correctly initialize the stack size in the update daemon to avoid a
	crash when leaving MiNT

**************************************
hohmuth Fri Mar 17 23:00:54 MET 1995
fasttext.c:
	From: "C.P.Briscoe-Smith" <cpbs@ukc.ac.uk>
	Message-Id: <199501182255.RAA05966@terminator.rs.itd.umich.edu>
	Subject: Fasttext bug fix

	recalculate cursor position when tabbing at the end of line (in order
	to fix a bug where the position would be updated wrongly)

**************************************
hohmuth Fri Mar 17 22:56:12 MET 1995
dosmem.c:
	From: Torsten Scherer <itschere@techfak.uni-bielefeld.de>
	Message-Id: <9501171901.AB07939@tantalus.techfak.uni-bielefeld.de>
	Subject: patch for long procnames

	don't clear p->fname (long proc name) when forking

**************************************
hohmuth Fri Mar 17 22:51:46 MET 1995
tty.c:
	From: Juergen Lock <nox@jelal.hb.north.de>
	Message-Id: <9501161654.AA00148@jelal.hb.north.de>
	Subject: p_exec wait error (SIGCHLD handler vs system()...)

	fix TS_ESC state handling in tty_ioctl(f, TIOCFLUSH, ...)

**************************************
hohmuth Fri Mar 17 22:46:50 MET 1995
dosmem.c, proc.c:
	From: Juergen Lock <nox@jelal.hb.north.de>
	Message-Id: <9501161654.AA00148@jelal.hb.north.de>
	Subject: p_exec wait error (SIGCHLD handler vs system()...)

	fix SIGCHLD handling when using Pexec(0,...)

**************************************
hohmuth Fri Mar 17 22:40:35 MET 1995
dosmem.c:
	From: Stephan Haslbeck <haslbecs@informatik.tu-muenchen.de>
	Message-Id: <Pine.HPP.3.91.950105144126.13912F@hphalle4a.informatik.tu-muenchen.de>
	Subject: MultiTOS patch

	kludge MultiTOS to run programs with its real uid/gid
	This means that MultiTOS can ``safely'' be installed setuid-root.

**************************************
hohmuth Fri Mar 17 22:36:38 MET 1995
dos.c:
	From: Sascha Blank <root@sliphost39.uni-trier.de>
	Message-Id: <199412281401.PAA00151@sliphost39.uni-trier.de>
	Subject: personae management revised again

	allow changing the effective user/group id back to the saved
	user/group id

**************************************
hohmuth Fri Mar 17 22:25:46 MET 1995
mem.c:
	From: Torsten Scherer <itschere@techfak.uni-bielefeld.de>
	Message-Id: <9412271723.AB05363@kassandra.techfak.uni-bielefeld.de>
	Subject: load_region() patch

	in load_region(), don't try to allocate too much memory from core
	memory when alternate memory is low

**************************************
hohmuth Fri Mar 17 22:08:52 MET 1995
tosfs.c:
	From: Thomas Schulze <ts@uni-paderborn.de>
	Message-Id: <199412051304.OAA23324@austria.uni-paderborn.de>
	Subject: MiNT 1.12 (and h2): Why no -DNEWWAY?

	#define NEWWAY in tosfs.c (use new dup_cookie/release_cookie protocol
	to keep track of file cookies)

**************************************

mint-1.12h2:

**************************************
hohmuth Thu Dec 1 13:04:48 MET 1994
README.1ST, version.h:
	update

**************************************
hohmuth Wed Nov 30 15:34:30 MET 1994
mem.h:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9411301129.AA20683@issan.informatik.uni-dortmund.de>
	Subject: MiNT 1.12: a few bug fixes

	parenthesize argument in the ROUND macro to make it robust

**************************************
hohmuth Wed Nov 30 15:33:39 MET 1994
dosdir.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9411301129.AA20683@issan.informatik.uni-dortmund.de>
	Subject: MiNT 1.12: a few bug fixes

	d_delete(): don't change anything until everything has been
		    verified

**************************************
hohmuth Wed Nov 30 15:32:42 MET 1994
biosfs.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9411301129.AA20683@issan.informatik.uni-dortmund.de>
	Subject: MiNT 1.12: a few bug fixes

	always use case insensitive comparison on file names

**************************************
hohmuth Sat Nov 26 20:14:39 MET 1994
tosfs.c:
	From: Bjarne Pohlers <bjarne@GOEDEL.UNI-MUENSTER.DE>
	Message-Id: <9411261721.AA06935@math.uni-muenster.de>
	Subject: Again: access permissions with tosfs

	if the user did not do a chmod() yet, compute tosfs permissions as if
	ROOTPERMS was not defined

**************************************
hohmuth Sat Nov 26 01:08:16 MET 1994
welcome.c:
	add a forgotten CRLF to the welcome message

**************************************
hohmuth Thu Nov 24 19:34:30 MET 1994
proto.h:
	delete duplicated ngroupmatch() prototype

**************************************
hohmuth Thu Nov 24 19:09:28 MET 1994
bios.c, biosfs.c, dosfile.c, mint.h, proc.c, timeout.c:
	From: David.Stevenson@jet.uk
	Message-Id: <9411241544.AA20962@mailhost.jet.uk>
	Subject: My Lattice diffs

	cleanup patches for Lattice C

**************************************

mint-1.12h1:

**************************************
hohmuth Thu Nov 24 17:20:51 MET 1994
README.1ST:
	update

**************************************
hohmuth Thu Nov 24 17:12:34 MET 1994
purec/osbind.h:
	add notices stating that the files have been changed

**************************************
hohmuth Thu Nov 24 17:12:22 MET 1994
README.1ST, bios.c, biosfs.c, cookie.c, cookie.h, debug.c, dos.c,
dosdir.c, dosfile.c, dosmem.c, file.h, filesys.c, genmagic.c, inline.h,
intr.spp, main.c, makefile, mem.h, mint.h, nalloc2.c, pipefs.c, proc.c,
proc.h, procfs.c, proto.h, rendez.c, shmfs.c, signal.c, syscall.spp,
timeout.c, tosfs.c, tty.c, update.c, util.c, version.h, welcome.c,
xbios.c:
	add notices stating that the files have been changed

**************************************
hohmuth Thu Nov 24 16:52:58 MET 1994
version.h, welcome.c:
	print a different greeting message when THIRD_PARTY def'd in
	version.h

**************************************
hohmuth Wed Nov 23 18:10:53 MET 1994
README.1ST:
	remove changelog
	add some more blurp

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
changes:
	add cross reference to Changes.MH

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
biosfs.c, tty.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9411221850.AA00656@jelal.north.de>
	Subject: Re: need help with merging in 1.12

	undone a few more changes from 1.12

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
dos.c, file.h, makefile, proto.h, update.c:
	From: kuehn@GOEDEL.UNI-MUENSTER.DE
	Message-Id: <9411180938.AA27650@math.uni-muenster.de>
	Subject: Re: mint 1.12

	new Sync()/Shutdown() patch for MiNT 1.12

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
makefile:
	From: Ole_Arndt@of2.maus.de (Ole Arndt)

	add -fno-defer-pop to CFLAGS to avoid the annoying "AES 4.1
	hangs if MiNT was compiled with GCC 2.5.8" problem

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
procfs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9411162249.AA00097@jelal.north.de>
	Subject: Re: Mouse polling?

	terminate the procfs label with 0 even if size of buffer was
	too small

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
pipefs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9411162249.AA00097@jelal.north.de>
	Subject: Re: Mouse polling?

	replace some assert()s; instead, report error to user
	correctly initialize b->lockpid and b->cursrate

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
dosfile.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9411162249.AA00097@jelal.north.de>
	Subject: Re: Mouse polling?

	add a kludge for a bug in GEM AES 4.1

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
tosfs.c:
	From: Torsten Scherer <itschere@techfak.uni-bielefeld.de>
	Message-Id: <9411151707.AB10853@kassandra.techfak.uni-bielefeld.de>
	Subject: 1.11h3: tosfs and xattr again...

	correctly compute access permissions for tosfs


**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
dos.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9411141056.AA29924@issan.informatik.uni-dortmund.de>
	Subject: MiNT-1.11h2: ITIMER_VIRTUAL bug

	count user time instead of system time for the virtual timer

**************************************
hohmuth Wed Nov 23 17:54:08 MET 1994
dosmem.c:
	From: Bjarne Pohlers <bjarne@GOEDEL.UNI-MUENSTER.DE>
	Message-Id: <9411201630.AA11356@math.uni-muenster.de>
	Subject: Re: need help with merging in 1.12

	undone change from 1.12:
	release controlling terminal if we're the last member of the pgroup

**************************************

***
*** All other changes listed below have been folded in from MiNT 1.11h3.
***

**************************************
pipefs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: mint-1.11h2

	a better fix for pty master reads

**************************************
pipefs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: mint-1.11h2

	fix pty master reads with O_NDELAY off, check for VIRGIN_PIPE, and
	ignore HPCL

**************************************
inline.h:
	fix typo in callout2() macro definition                   --hohmuth

**************************************
bios.c, biosfs.c, dosfile.c, magic.i, proc.c, tosfs.c, xbios.c:
	From: Julian Reschke <reschke@GOEDEL.UNI-MUENSTER.DE>
	Message-Id: <9411080704.AA03934@math.uni-muenster.de>
	Subject: PureC changes

	cleanup patches for Pure C


**************************************
dos.c:
	From: itschere@techfak.uni-bielefeld.de
	Message-Id: <9410211344.AA01873@gimpel.techfak.uni-bielefeld.de>
	Subject: Pseteuid/Psetegid errors in 1.11h2

	Pseteuid()/Psetegid() should return the new id if successful,
	for backward compatibility with older MiNT version

**************************************
filesys.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9409211624.AA00078@jelal.north.de>
	Subject: xdd fix (was: MiNT 1.11H2)

	fix for the "can't boot MiNT with the floppy device ps0.xdd" problem

**************************************
timeout.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Message-Id: <9409150836.AA23173@issan.informatik.uni-dortmund.de>
	Subject: Re: Talarm() problem

	add a timeout for expired timeouts, i.e. if a timout
	structure is on the expire_list for more than 2 seconds it is
	disposed automagically.

**************************************
dosdir.c:
	From: Erling Henanger <erlingh@idt.unit.no>
	Message-Id: <9409091357.AA22091@nova.pvv.unit.no>
	Subject: Renaming read-only files

	enable the super-user or the owner of a file to rename it -
	even if it is write-protected.

**************************************
dos.c, dosmem.c, proc.h, proto.h:
	From: inf03@Uni-Trier.de (Sascha Blank)
	Subject: Better personae management for MiNT 1.11beta
	Message-Id: <9409051059.AA07720@Uni-Trier.De>

	add saved uid/gid sets
	modify Psetuid() and Psetgid() accordingly
	add new system calls Psetreuid() and Psetregid()

**************************************
biosfs.c, file.h:
	From: Torsten Scherer <itschere@techfak.uni-bielefeld.de>
	Subject: Re: harddisc device drive
	Message-Id: <9409040911.AB09605@pirol.techfak.uni-bielefeld.de>

	add member fmode to struct dev_descr: mode of to-be-installed device

**************************************
file.h, tty.c:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: Mint 1.11 beta: ikill(), more diffs
	Message-Id: <9409010231.AA00068@jelal.north.de>

	ECHOCTL, default is still on...  and fix TS_COOKED after echo reads

**************************************
main.c:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: Mint 1.11 beta: ikill(), more diffs
	Message-Id: <9409010231.AA00068@jelal.north.de>

	let AUX really work like Bconmap

**************************************
mint.h:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Subject: FCOOKIE_CACHE: serious problems with stale data
	Message-Id: <9408300857.AA02171@issan.informatik.uni-dortmund.de>

	disable the file cookie cache due to problems with stale data

**************************************
dosfile.c, mint.h:
	make the "Fcreate() works on existing pipes/ptys" code
	switch-off-able by #undef'ing CREATE_PIPES in mint.h      --hohmuth

**************************************
tty.c:
	From: ibmpa!rio.heidelbg.ibm.com!lux@ibminet.awdpa.ibm.com (Wolfgang Lux)
	Subject: MiNT patches
	Message-Id: <9408231007.AA20275@rio.heidelbg.ibm.com>

	On all Un*x systems I know, the werase character deletes the
	previous even if there are white space characters between the cursor
	and the previous word. In MiNT the word was only deleted if the cursor
	was at the end of the word. I fixed this behaviour to be like Un*x.

**************************************
nalloc2.c:
	From: ibmpa!rio.heidelbg.ibm.com!lux@ibminet.awdpa.ibm.com (Wolfgang Lux)
	Subject: MiNT patches
	Message-Id: <9408231007.AA20275@rio.heidelbg.ibm.com>

	restore the old check whether the size of a block matches the
	requested size.
	The code I fixed always checks for enough size to save the requested
	memory plus the size of a block header, however this made the test
	whether to unlink the block completly always fail. I restored the old
	behaviour (which has worked for me in (a fixed) MiNT 1.09 for around
	half a year without problems).

**************************************
dosdir.c, dosfile.c, filesys.c, mint.h, proto.h:
	From: ibmpa!rio.heidelbg.ibm.com!lux@ibminet.awdpa.ibm.com (Wolfgang Lux)
	Subject: MiNT patches
	Message-Id: <9408231007.AA20275@rio.heidelbg.ibm.com>

	- Changed f_chown, so a user can change the group of a file
	to any of his supplementary groups, not only the effective group id.
	Also added one more "posix"ism; if the file has set-uid or set-gid bit
	set these bits are reset when f_chown is called by a non-root process
	and the file is not a directory.

	- Added BSD-like setgid and sticky bit
	semantics for directories. Setgid semantics are implemented in do_open
	and d_mkdir, so that any file or directory that is created in a
	directory whose setgid bit is on, will be created with a group id
	equal to that of the directory instead of the process' effective group
	id. (This complements nicely the existence of supplementary groups
	:-). Sticky bit semantics prevent any non-root process from deleting a
	file or directory in a directory with sticky bit on, which the process
	doesn't own. This is implemented d_delete, f_delete and f_rename(!).
	As a side effect I modified the dir_access routine, so that it returns
	the file mode bits in a (new) third parameter.

**************************************
signal.c:
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Subject: MiNT 1.11 BETA
	Message-Id: <9408160833.AA24823@issan.informatik.uni-dortmund.de>

	implement sigcontext, passed as third argument to signal
	handler, which can modify it.

**************************************
tosfs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: MiNT 1.11 BETA
	Message-Id: <9408131636.AA00124@jelal.north.de>

	turn the INODE_PER_CRC code off (once again)

**************************************
dosmem.c, main.c, mem.h:
	From: Juergen Lock <nox@jelal.north.de>
	Subject: Re: MiNT 1.11 BETA
	Message-Id: <9408131636.AA00124@jelal.north.de>

	another GEM crash workaround... :)  (and give processes a bit more
	time for shutdown)  if you use execgem also add the F_ALLOCZERO bit to
	its create-basepage Pexec, you can check a running process memflags
	with Julians ps (ps -wvx).

**************************************
cookie.h, dos.c, main.c, makefile, proto.h, cookie.c (new):
	From: evanlang@uss.lonestar.org (Evan Langlois)
	Subject: mint 1.11 patch
	Message-Id: <m0qYtQm-0004pkC@uss.lonestar.org>

	added the s_cookie() call for reading system cookie
	information.  This is mainly the cookie jar, but also the
	200 Hz timer, and possibly other info if you decide to support
	it.  This code is a bit buggy in that it needs a proper sanity
	check (see code) and the jar resizing doesn't work. The code
	worked with Malloc() before I put it in the kernel, but I
	guess I'm not allocating the new memory region properly.
	Main.c and cookie.h were changed for readability - no more
	treating cookie tags as a string.  Cookie.h lists the values
	for the cookies - and could be expanded into a "master
	listing" of cookies.

	prefixed cookie definitions in cookie.h with "COOKIE_"  --hohmuth
	added prototypes for local functions in cookie.c        --hohmuth

**************************************
main.c:
	From: evanlang@uss.lonestar.org (Evan Langlois)
	Subject: mint 1.11 patch
	Message-Id: <m0qYtQm-0004pkC@uss.lonestar.org>

	add redirection for AUX in mint.cnf

**************************************
filesys.c makefile mint.h:
	Message-Id: <m0qYtQm-0004pkC@uss.lonestar.org>
	From: evanlang@uss.lonestar.org (Evan Langlois)
	Subject: mint 1.11 patch

	changed DIRSEP so that a Unix slash is accepted by all file
	systems except TOSFS (and maybe other NO_PARSE systems).  This
	has been well tested - it makes things easier with no side effects
	that I can tell.

	#ifdef'd DIRSEP_SLASH this change (this is off by default)  --hohmuth

**************************************
biosfs.c, dosdir.c, file.h, filesys.c, mint.h, pipefs.c, procfs.c, 
proto.h, shmfs.c:
	Message-Id: <m0qYtQm-0004pkC@uss.lonestar.org>
	From: evanlang@uss.lonestar.org (Evan Langlois)
	Subject: mint 1.11 patch

	and added a new flag to all file systems
	included in the kernel except unifs and tosfs.  These changes
	are the file cookie cache.  It speeds lookup operations to twice
	the speed (on my system anyway).  The flag mentioned above tells
	the system not to cache the file cookies for that system (I found
	that a background top could eat up lots of cookies in the proc
	filesystem, so I decided not to cache /proc, /pipe, /dev, or
	/shm).  It doesn't cache NO_PARSE systems either.  Everything for
	this is ifdef'd.  You must compile with -DFCOOKIE_CACHE to use
	this code.

	#define FCOOKIE_CACHE in mint.h, making this the default  --hohmuth

**************************************
main.c, proto.h, util.c:
	From: "Nicholas S Castellano" <entropy@terminator.rs.itd.umich.edu>
	Subject: INIT: PID 1
	Message-Id: <199407201055.GAA19275@terminator.rs.itd.umich.edu>

	set it up so that the INIT process always has PID 1 even if it
	isn't the first thing to run

**************************************
dosfile.c, pipefs.c:
	From: Juergen Lock <nox@jelal.north.de>
	Message-Id: <9406091835.AA00187@jelal.north.de>
	Subject: Re: MiNT 1.10 re-sync

	make echo >pipe/pty work when other end already open,
	only fail if O_EXCL or Fcreate attr != 0. (shells often creat()
	output redirection...)

**************************************

mint-1.12:
